Bug 6801 - Firefox 10.0.6 [mga2]
: Firefox 10.0.6 [mga2]
Status: RESOLVED FIXED
Product: Mageia
Classification: Unclassified
Component: RPM Packages
: 2
: All Linux
: Normal Severity: normal
: ---
Assigned To: QA Team
:
:
: mga2-64-OK mga2-32-OK
: validated_update
:
: 6802
  Show dependency treegraph
 
Reported: 2012-07-17 14:40 CEST by David Walser
Modified: 2012-07-19 02:57 CEST (History)
4 users (show)

See Also:
Source RPM: firefox
CVE:


Attachments

Description David Walser 2012-07-17 14:40:06 CEST
Funda Wang has built the Firefox 10.0.6 update for Mageia 2.

Advisory to come later.

Source RPMs:
firefox-10.0.6-1.mga2
firefox-l10n-10.0.6-1.mga2
xulrunner-10.0.6-1.1.mga2
gnome-python-extras-2.25.3-38.2.mga2

Full list of packages in core/updates_testing:
firefox-10.0.6-1.mga2
firefox-devel-10.0.6-1.mga2
firefox-af-10.0.6-1.mga2
firefox-ar-10.0.6-1.mga2
firefox-ast-10.0.6-1.mga2
firefox-be-10.0.6-1.mga2
firefox-bg-10.0.6-1.mga2
firefox-bn_IN-10.0.6-1.mga2
firefox-bn_BD-10.0.6-1.mga2
firefox-br-10.0.6-1.mga2
firefox-bs-10.0.6-1.mga2
firefox-ca-10.0.6-1.mga2
firefox-cs-10.0.6-1.mga2
firefox-cy-10.0.6-1.mga2
firefox-da-10.0.6-1.mga2
firefox-de-10.0.6-1.mga2
firefox-el-10.0.6-1.mga2
firefox-en_GB-10.0.6-1.mga2
firefox-en_ZA-10.0.6-1.mga2
firefox-eo-10.0.6-1.mga2
firefox-es_AR-10.0.6-1.mga2
firefox-es_CL-10.0.6-1.mga2
firefox-es_ES-10.0.6-1.mga2
firefox-es_MX-10.0.6-1.mga2
firefox-et-10.0.6-1.mga2
firefox-eu-10.0.6-1.mga2
firefox-fa-10.0.6-1.mga2
firefox-fi-10.0.6-1.mga2
firefox-fr-10.0.6-1.mga2
firefox-fy-10.0.6-1.mga2
firefox-ga_IE-10.0.6-1.mga2
firefox-gd-10.0.6-1.mga2
firefox-gl-10.0.6-1.mga2
firefox-gu_IN-10.0.6-1.mga2
firefox-he-10.0.6-1.mga2
firefox-hi-10.0.6-1.mga2
firefox-hr-10.0.6-1.mga2
firefox-hu-10.0.6-1.mga2
firefox-hy-10.0.6-1.mga2
firefox-id-10.0.6-1.mga2
firefox-is-10.0.6-1.mga2
firefox-it-10.0.6-1.mga2
firefox-ja-10.0.6-1.mga2
firefox-kk-10.0.6-1.mga2
firefox-ko-10.0.6-1.mga2
firefox-kn-10.0.6-1.mga2
firefox-ku-10.0.6-1.mga2
firefox-lg-10.0.6-1.mga2
firefox-lt-10.0.6-1.mga2
firefox-lv-10.0.6-1.mga2
firefox-mai-10.0.6-1.mga2
firefox-mk-10.0.6-1.mga2
firefox-ml-10.0.6-1.mga2
firefox-mr-10.0.6-1.mga2
firefox-nb_NO-10.0.6-1.mga2
firefox-nl-10.0.6-1.mga2
firefox-nn_NO-10.0.6-1.mga2
firefox-nso-10.0.6-1.mga2
firefox-or-10.0.6-1.mga2
firefox-pa_IN-10.0.6-1.mga2
firefox-pl-10.0.6-1.mga2
firefox-pt_BR-10.0.6-1.mga2
firefox-pt_PT-10.0.6-1.mga2
firefox-ro-10.0.6-1.mga2
firefox-ru-10.0.6-1.mga2
firefox-si-10.0.6-1.mga2
firefox-sk-10.0.6-1.mga2
firefox-sl-10.0.6-1.mga2
firefox-sq-10.0.6-1.mga2
firefox-sr-10.0.6-1.mga2
firefox-sv_SE-10.0.6-1.mga2
firefox-ta-10.0.6-1.mga2
firefox-ta_LK-10.0.6-1.mga2
firefox-te-10.0.6-1.mga2
firefox-th-10.0.6-1.mga2
firefox-tr-10.0.6-1.mga2
firefox-uk-10.0.6-1.mga2
firefox-vi-10.0.6-1.mga2
firefox-zh_CN-10.0.6-1.mga2
firefox-zh_TW-10.0.6-1.mga2
firefox-zu-10.0.6-1.mga2
xulrunner-10.0.6-1.1.mga2
libxulrunner10.0.6-10.0.6-1.1.mga2
libxulrunner-devel-10.0.6-1.1.mga2
gnome-python-extras-2.25.3-38.2.mga2
gnome-python-gda-2.25.3-38.2.mga2
gnome-python-gda-devel-2.25.3-38.2.mga2
gnome-python-gtkspell-2.25.3-38.2.mga2
gnome-python-gtkmozembed-2.25.3-38.2.mga2
gnome-python-gtkhtml2-2.25.3-38.2.mga2
Comment 1 David Walser 2012-07-18 00:33:58 CEST
I don't have good CVE descriptions yet, but I imagine I'll be able to get them
from Mandriva or RedHat pretty soon.  I do have the list of references for the
advisory compiled already.

Assigning to QA now, full advisory to be written later.

I'm not assigning the Mageia 1 version of the bug to QA just yet.  I want to see if gnome-python-gtkmozembed with xulrunner is still segfaulting.  If it is, we'll have to exclude it from the update like last time, and Mageia 1 is ready to proceed.  If xulrunner is working OK this time, two more packages need to be built for the Mageia 1 update.

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1948
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1949
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1950
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1951
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1952
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1953
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1954
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1955
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1957
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1958
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1959
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1961
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1962
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1963
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1964
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1965
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1966
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1967
http://www.mozilla.org/security/announce/2012/mfsa2012-42.html
http://www.mozilla.org/security/announce/2012/mfsa2012-43.html
http://www.mozilla.org/security/announce/2012/mfsa2012-44.html
http://www.mozilla.org/security/announce/2012/mfsa2012-45.html
http://www.mozilla.org/security/announce/2012/mfsa2012-46.html
http://www.mozilla.org/security/announce/2012/mfsa2012-47.html
http://www.mozilla.org/security/announce/2012/mfsa2012-48.html
http://www.mozilla.org/security/announce/2012/mfsa2012-49.html
http://www.mozilla.org/security/announce/2012/mfsa2012-51.html
http://www.mozilla.org/security/announce/2012/mfsa2012-52.html
http://www.mozilla.org/security/announce/2012/mfsa2012-53.html
http://www.mozilla.org/security/announce/2012/mfsa2012-54.html
http://www.mozilla.org/security/announce/2012/mfsa2012-55.html
http://www.mozilla.org/security/announce/2012/mfsa2012-56.html
Comment 2 Dave Hodgins 2012-07-18 03:26:37 CEST
Testing complete on Mageia 2 i586 for firefox.

python moz.py

** (process:10101): WARNING **: Trying to register gtype 'GMountMountFlags' as enum when in fact it is of type 'GFlags'

** (process:10101): WARNING **: Trying to register gtype 'GDriveStartFlags' as enum when in fact it is of type 'GFlags'

** (process:10101): WARNING **: Trying to register gtype 'GSocketMsgFlags' as enum when in fact it is of type 'GFlags'
Segmentation fault

Looks like xulrunner still has problems.
Comment 3 claire robinson 2012-07-18 12:12:23 CEST
Confirmed here x86_64
Comment 4 claire robinson 2012-07-18 12:15:07 CEST
Firefox testing complete x86_64 but xulrunner still segfaults. 

Do you want to remove it and gnome-python-extras from this update?
Comment 5 David Walser 2012-07-18 12:37:35 CEST
(In reply to comment #4)
> Firefox testing complete x86_64 but xulrunner still segfaults. 
> 
> Do you want to remove it and gnome-python-extras from this update?

Yep, we can do the same as last time :o(
Comment 6 claire robinson 2012-07-18 13:35:08 CEST
We just need an advisory now please :)
Comment 7 David Walser 2012-07-18 14:44:16 CEST
Full advisory, courtesy of RedHat :o)

Advisory:
========================

Updated firefox packages fix security vulnerabilities:

A web page containing malicious content could cause Firefox to crash or,
potentially, execute arbitrary code with the privileges of the user running
Firefox (CVE-2012-1948, CVE-2012-1951, CVE-2012-1952, CVE-2012-1953,
CVE-2012-1954, CVE-2012-1958, CVE-2012-1962, CVE-2012-1967).

A malicious web page could bypass same-compartment security wrappers (SCSW)
and execute arbitrary code with chrome privileges (CVE-2012-1959).

A flaw in the context menu functionality in Firefox could allow a malicious
website to bypass intended restrictions and allow a cross-site scripting
attack (CVE-2012-1966).

A page different to that in the address bar could be displayed when
dragging and dropping to the address bar, possibly making it easier for a
malicious site or user to perform a phishing attack (CVE-2012-1950).

A flaw in the way Firefox called history.forward and history.back could
allow an attacker to conceal a malicious URL, possibly tricking a user
into believing they are viewing a trusted site (CVE-2012-1955).

A flaw in a parser utility class used by Firefox to parse feeds (such as
RSS) could allow an attacker to execute arbitrary JavaScript with the
privileges of the user running Firefox. This issue could have affected
other browser components or add-ons that assume the class returns
sanitized input (CVE-2012-1957).

A flaw in the way Firefox handled X-Frame-Options headers could allow a
malicious website to perform a clickjacking attack (CVE-2012-1961).

A flaw in the way Content Security Policy (CSP) reports were generated by
Firefox could allow a malicious web page to steal a victim's OAuth 2.0
access tokens and OpenID credentials (CVE-2012-1963).

A flaw in the way Firefox handled certificate warnings could allow a
man-in-the-middle attacker to create a crafted warning, possibly tricking
a user into accepting an arbitrary certificate as trusted (CVE-2012-1964).

A flaw in the way Firefox handled feed:javascript URLs could allow output
filtering to be bypassed, possibly leading to a cross-site scripting
attack (CVE-2012-1965).

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1948
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1949
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1950
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1951
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1952
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1953
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1954
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1955
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1957
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1958
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1959
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1961
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1962
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1963
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1964
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1965
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1966
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1967
http://www.mozilla.org/security/announce/2012/mfsa2012-42.html
http://www.mozilla.org/security/announce/2012/mfsa2012-43.html
http://www.mozilla.org/security/announce/2012/mfsa2012-44.html
http://www.mozilla.org/security/announce/2012/mfsa2012-45.html
http://www.mozilla.org/security/announce/2012/mfsa2012-46.html
http://www.mozilla.org/security/announce/2012/mfsa2012-47.html
http://www.mozilla.org/security/announce/2012/mfsa2012-48.html
http://www.mozilla.org/security/announce/2012/mfsa2012-49.html
http://www.mozilla.org/security/announce/2012/mfsa2012-51.html
http://www.mozilla.org/security/announce/2012/mfsa2012-52.html
http://www.mozilla.org/security/announce/2012/mfsa2012-53.html
http://www.mozilla.org/security/announce/2012/mfsa2012-54.html
http://www.mozilla.org/security/announce/2012/mfsa2012-55.html
http://www.mozilla.org/security/announce/2012/mfsa2012-56.html
https://rhn.redhat.com/errata/RHSA-2012-1088.html
========================

Source RPMs:
firefox-10.0.6-1.mga2
firefox-l10n-10.0.6-1.mga2
Comment 8 David Walser 2012-07-18 14:45:04 CEST
Oops, fixing a minor mistake in the references...

Advisory:
========================

Updated firefox packages fix security vulnerabilities:

A web page containing malicious content could cause Firefox to crash or,
potentially, execute arbitrary code with the privileges of the user running
Firefox (CVE-2012-1948, CVE-2012-1951, CVE-2012-1952, CVE-2012-1953,
CVE-2012-1954, CVE-2012-1958, CVE-2012-1962, CVE-2012-1967).

A malicious web page could bypass same-compartment security wrappers (SCSW)
and execute arbitrary code with chrome privileges (CVE-2012-1959).

A flaw in the context menu functionality in Firefox could allow a malicious
website to bypass intended restrictions and allow a cross-site scripting
attack (CVE-2012-1966).

A page different to that in the address bar could be displayed when
dragging and dropping to the address bar, possibly making it easier for a
malicious site or user to perform a phishing attack (CVE-2012-1950).

A flaw in the way Firefox called history.forward and history.back could
allow an attacker to conceal a malicious URL, possibly tricking a user
into believing they are viewing a trusted site (CVE-2012-1955).

A flaw in a parser utility class used by Firefox to parse feeds (such as
RSS) could allow an attacker to execute arbitrary JavaScript with the
privileges of the user running Firefox. This issue could have affected
other browser components or add-ons that assume the class returns
sanitized input (CVE-2012-1957).

A flaw in the way Firefox handled X-Frame-Options headers could allow a
malicious website to perform a clickjacking attack (CVE-2012-1961).

A flaw in the way Content Security Policy (CSP) reports were generated by
Firefox could allow a malicious web page to steal a victim's OAuth 2.0
access tokens and OpenID credentials (CVE-2012-1963).

A flaw in the way Firefox handled certificate warnings could allow a
man-in-the-middle attacker to create a crafted warning, possibly tricking
a user into accepting an arbitrary certificate as trusted (CVE-2012-1964).

A flaw in the way Firefox handled feed:javascript URLs could allow output
filtering to be bypassed, possibly leading to a cross-site scripting
attack (CVE-2012-1965).

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1948
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1950
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1951
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1952
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1953
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1954
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1955
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1957
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1958
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1959
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1961
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1962
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1963
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1964
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1965
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1966
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1967
http://www.mozilla.org/security/announce/2012/mfsa2012-42.html
http://www.mozilla.org/security/announce/2012/mfsa2012-43.html
http://www.mozilla.org/security/announce/2012/mfsa2012-44.html
http://www.mozilla.org/security/announce/2012/mfsa2012-45.html
http://www.mozilla.org/security/announce/2012/mfsa2012-46.html
http://www.mozilla.org/security/announce/2012/mfsa2012-47.html
http://www.mozilla.org/security/announce/2012/mfsa2012-48.html
http://www.mozilla.org/security/announce/2012/mfsa2012-49.html
http://www.mozilla.org/security/announce/2012/mfsa2012-51.html
http://www.mozilla.org/security/announce/2012/mfsa2012-52.html
http://www.mozilla.org/security/announce/2012/mfsa2012-53.html
http://www.mozilla.org/security/announce/2012/mfsa2012-54.html
http://www.mozilla.org/security/announce/2012/mfsa2012-55.html
http://www.mozilla.org/security/announce/2012/mfsa2012-56.html
https://rhn.redhat.com/errata/RHSA-2012-1088.html
========================

Source RPMs:
firefox-10.0.6-1.mga2
firefox-l10n-10.0.6-1.mga2
Comment 9 claire robinson 2012-07-18 15:19:35 CEST
Thankyou David.

Validating

Advisory and srpm's in comment 8.

Could sysadmin please push from core/updates_testing to core/updates and also remove the non-functioning ones below from testing..

xulrunner-10.0.6-1.1.mga2
gnome-python-extras-2.25.3-38.2.mga2

Thanks!
Comment 10 Thomas Backlund 2012-07-19 02:57:39 CEST
xulrunner, gmome-pthon-extras removed, and Update pushed:
https://wiki.mageia.org/en/Support/Advisories/MGASA-2012-0173

Note You need to log in before you can comment on or make changes to this bug.